Update fulfillment adjustment - Fabric
Update fulfillment adjustment
cURL
curl --request PATCH \
--url https://api.fabric.inc/v3/carts/{cartId}/fulfillments/{fulfillmentId}/adjustments/{adjustmentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"reason": "Price adjustment from Customer Representative",
"attributes": {
"source": "CSR"
}
}
'```
### Python
```python
import requests
url = "https://api.fabric.inc/v3/carts/{cartId}/fulfillments/{fulfillmentId}/adjustments/{adjustmentId}"
payload = {
"reason": "Price adjustment from Customer Representative",
"attributes": { "source": "CSR" }
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'PATCH',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
reason: 'Price adjustment from Customer Representative',
attributes: {source: 'CSR'}
})
};
fetch('https://api.fabric.inc/v3/carts/{cartId}/fulfillments/{fulfillmentId}/adjustments/{adjustmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/carts/{cartId}/fulfillments/{fulfillmentId}/adjustments/{adjustmentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'reason' => 'Price adjustment from Customer Representative',
'attributes' => [
'source' => 'CSR'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/carts/{cartId}/fulfillments/{fulfillmentId}/adjustments/{adjustmentId}"
payload := strings.NewReader(`{
"reason": "Price adjustment from Customer Representative",
"attributes": {
"source": "CSR"
}
}`)
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest
HttpResponse<String> response = Unirest.patch("https://api.fabric.inc/v3/carts/{cartId}/fulfillments/{fulfillmentId}/adjustments/{adjustmentId}")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reason\": \"Price adjustment from Customer Representative\",\n \"attributes\": {\n \"source\": \"CSR\"\n }\n}")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/carts/{cartId}/fulfillments/{fulfillmentId}/adjustments/{adjustmentId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reason\": \"Price adjustment from Customer Representative\",\n \"attributes\": {\n \"source\": \"CSR\"\n }\n}"
response = http.request(request)
puts response.read_body
Response Examples
Successful Response (201)
{
"id": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
"price": {
"amount": 12.99
},
"reason": "Price adjustment from customer representative.",
"attributes": {
"source": "CSR"
},
"updatedAt": "2024-06-13T16:50:00.682Z",
"createdAt": "2024-06-13T16:50:00.682Z"
}
Error Response (400)
{
"type": "BAD_REQUEST",
"message": "x-fabric-tenant-id is required"
}
Error Response (404)
{
"type": "CART_NOT_FOUND",
"message": "Cart not found"
}
Authorization
- Authorization (string, header, required): Token for authentication.
Headers
- x-fabric-tenant-id (string, required): Tenant identifier.
Path Parameters
- cartId (string, required): 24-character Cart ID.
- fulfillmentId (string, required): Fulfillment ID.
- adjustmentId (string, required): Adjustment ID.
Body
- reason (string): Reason for the adjustment.
- attributes (object): Custom attributes.